function [ region, xmin, ymin ] = getRegion( showFrame, Frame )
%getRegion Crop frames based on user-specified region
%   [REGION, XMIN, YMIN] = getRegion(SHOWFRAME) has the user select a 
%   rectangular region of SHOWFRAME. The corresponding regions of FRAME 
%   are returned in REGION. (XMIN, YMIN) are the coordinates of the
%   upper-left corner of the rectangular region in the original frame.
%   *Code in this function based on EE368 project by Eric Gutierrez (2015) 

fig=figure;
imshow(showFrame);
rect = getrect(fig);
xmin = round(rect(1));
ymin = round(rect(2));
xmax = round(rect(3)) + xmin;
ymax = round(rect(4)) + ymin;

N = length(Frame);
region = cell(N,1);
for i=1:N   
    region{i} = Frame{i}(ymin:ymax,xmin:xmax);    
end
close;

end

